var _____WB$wombat$assign$function_____ = function(name) {return (self._wb_wombat && self._wb_wombat.local_init && self._wb_wombat.local_init(name)) || self[name]; };
if (!self.__WB_pmw) { self.__WB_pmw = function(obj) { this.__WB_source = obj; return this; } }
{
  let window = _____WB$wombat$assign$function_____("window");
  let self = _____WB$wombat$assign$function_____("self");
  let document = _____WB$wombat$assign$function_____("document");
  let location = _____WB$wombat$assign$function_____("location");
  let top = _____WB$wombat$assign$function_____("top");
  let parent = _____WB$wombat$assign$function_____("parent");
  let frames = _____WB$wombat$assign$function_____("frames");
  let opener = _____WB$wombat$assign$function_____("opener");

/*
 * expand-all-images.js
 * https://github.com/savetheinternet/Tinyboard/blob/master/js/expand-all-images.js
 *
 * Adds an "Expand all images" button to the top of the page.
 *
 * Released under the MIT license
 * Copyright (c) 2012-2013 Michael Save <savetheinternet@tinyboard.org>
 * Copyright (c) 2013-2014 Marcin Łabanowski <marcin@6irc.net>
 * Copyright (c) 2014 sinuca <#55ch@rizon.net>
 *
 * Usage:
 *   $config['additional_javascript'][] = 'js/jquery.min.js';
 *   $config['additional_javascript'][] = 'js/inline-expanding.js';
 *   $config['additional_javascript'][] = 'js/expand-all-images.js';
 *
 */

if (active_page == 'ukko' || active_page == 'thread' || active_page == 'index')
onready(function(){
	$('hr:first').before('<div id="expand-all-images" style="text-align:right"><a class="unimportant" href="javascript:void(0)"></a></div>');
	$('div#expand-all-images a')
		.text(_('Expand all images'))
		.click(function() {
			$('a img.post-image').each(function() {
				// Don't expand YouTube embeds
				if ($(this).parent().parent().hasClass('video-container'))
					return;

				// or WEBM
				if (/^\/player\.php\?/.test($(this).parent().attr('href')))
					return;

				if (!$(this).parent().data('expanded'))
					$(this).parent().click();
			});

			if (!$('#shrink-all-images').length) {
				$('hr:first').before('<div id="shrink-all-images" style="text-align:right"><a class="unimportant" href="javascript:void(0)"></a></div>');
			}

			$('div#shrink-all-images a')
				.text(_('Shrink all images'))
				.click(function(){
					$('a img.full-image').each(function() {
						if ($(this).parent().data('expanded'))
							$(this).parent().click();
					});
					$(this).parent().remove();
				});
		});
});


}
/*
     FILE ARCHIVED ON 11:12:27 Nov 12, 2021 AND RETRIEVED FROM THE
     INTERNET ARCHIVE ON 03:52:08 Mar 03, 2024.
     JAVASCRIPT APPENDED BY WAYBACK MACHINE, COPYRIGHT INTERNET ARCHIVE.

     ALL OTHER CONTENT MAY ALSO BE PROTECTED BY COPYRIGHT (17 U.S.C.
     SECTION 108(a)(3)).
*/
/*
playback timings (ms):
  exclusion.robots: 0.095
  exclusion.robots.policy: 0.081
  cdx.remote: 0.125
  esindex: 0.013
  LoadShardBlock: 255.58 (6)
  PetaboxLoader3.datanode: 278.128 (8)
  load_resource: 162.143 (2)
  PetaboxLoader3.resolve: 94.996 (2)
*/